SOLVED Cannot migrate to EasyApache 4

mauromol

Member
Dec 12, 2016
9
3
3
Italy
cPanel Access Level
Root Administrator
Today I tried to migrate to EasyApache 4, by running the wizard. After seeing some warnings (that I read are not harmful), I get the following log:

Code:
Running version: 2.9
Enabling of EA4 repository for CloudLinux
Loaded plugins: fastestmirror, rhnplugin
Profilename: <my server host name>
IP:<my server IP address> Not licensed
There was an error communicating with CLN.
CLN support will be disabled.
Error communicating with server. The message was:

Error Message:
    Please run rhn_register as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at cloudlinux.zendesk.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Setting up Install Process
Loading mirror speeds from cached hostfile
 * cpanel-addons-production-feed: 91.197.228.252
Nothing to do
Loaded plugins: fastestmirror, rhnplugin
Profilename: <my server host name>
IP:<my server IP address> Not licensed
There was an error communicating with CLN.
CLN support will be disabled.
Error communicating with server. The message was:

Error Message:
    Please run rhn_register as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at cloudlinux.zendesk.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Setting up Install Process
Examining /var/tmp/yum-root-s8hdAw/cloudlinux-ea4-release-latest-6.noarch.rpm: cloudlinux-ea4-release-1-4.el6.noarch
Marking /var/tmp/yum-root-s8hdAw/cloudlinux-ea4-release-latest-6.noarch.rpm to be installed
Loading mirror speeds from cached hostfile
 * cpanel-addons-production-feed: 91.197.228.252
Resolving Dependencies
--> Running transaction check
---> Package cloudlinux-ea4-release.noarch 0:1-4.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch   Version Repository                               Size
================================================================================
Installing:
 cloudlinux-ea4-release
                   noarch 1-4.el6 /cloudlinux-ea4-release-latest-6.noarch 3.4 k

Transaction Summary
================================================================================
Install       1 Package(s)

Total size: 3.4 k
Installed size: 3.4 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
^M  Installing : cloudlinux-ea4-release-1-4.el6.noarch                        1/1
^M  Verifying  : cloudlinux-ea4-release-1-4.el6.noarch                        1/1

Installed:
  cloudlinux-ea4-release.noarch 0:1-4.el6

Complete!
Loaded plugins: fastestmirror, rhnplugin
Profilename: <my server host name>
IP:<my server IP address> Not licensed
There was an error communicating with CLN.
CLN support will be disabled.
Error communicating with server. The message was:

Error Message:
    Please run rhn_register as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at cloudlinux.zendesk.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Setting up Update Process
Loading mirror speeds from cached hostfile
 * cpanel-addons-production-feed: 91.197.228.252
No Packages marked for Update
Loaded plugins: fastestmirror, rhnplugin
Profilename: <my server host name>
IP:<my server IP address> Not licensed
There was an error communicating with CLN.
CLN support will be disabled.
Error communicating with server. The message was:

Error Message:
    Please run rhn_register as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at cloudlinux.zendesk.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Setting up Update Process
Loading mirror speeds from cached hostfile
 * cpanel-addons-production-feed: 91.197.228.252
No Packages marked for Update




Checking if mod_lsapi or alt_mod_passenger are installed. There are conflicts with mod_lsapi and mod_passenger for EA4
Loaded plugins: fastestmirror, rhnplugin
Profilename: <my server host name>
IP:<my server IP address> Not licensed
There was an error communicating with CLN.
CLN support will be disabled.
Error communicating with server. The message was:

Error Message:
    Please run rhn_register as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at cloudlinux.zendesk.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Setting up Remove Process
No Match for argument: alt-mod-passenger
Loading mirror speeds from cached hostfile
 * cpanel-addons-production-feed: 91.197.228.252
No Match for argument: mod_lsapi
No Packages marked for removal



Begin converting to EA4
EA4 not detected. Starting of migrate_ea3_to_ea4 script
Will be executed /scripts/migrate_ea3_to_ea4 --run --yes --force --skip-cloudlinux
Will be executed /scripts/migrate_ea3_to_ea4 --run --yes --force --skip-cloudlinux
There was an error communicating with CLN.
CLN support will be disabled.
Error communicating with server. The message was:

Error Message:
    Please run rhn_register as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at cloudlinux.zendesk.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

checkyum version 22.3
Subroutine check_for_packages_to_be_removed redefined at /usr/local/cpanel/Cpanel/EA4/MigrateBlocker.pm line 31.
Subroutine pre_migrate_check redefined at /usr/local/cpanel/Cpanel/EA4/MigrateBlocker.pm line 53.
Subroutine get_repo_obj redefined at /usr/local/cpanel/Cpanel/EA4/MigrateBlocker.pm line 195.
Subroutine get_required_repos_obj redefined at /usr/local/cpanel/Cpanel/EA4/MigrateBlocker.pm line 201.
A record of this process may be found at : /usr/local/cpanel/logs/packman/migrate_ea3_to_ea4.log.1551718835

[2019-03-04 18:02:02 +0100] info [cloudlinux_ea3_to_ea4] ^[[0m
[2019-03-04 18:02:02 +0100] info [cloudlinux_ea3_to_ea4]
EasyApache 4 Installing preliminary tools.
[2019-03-04 18:02:03 +0100] info [cloudlinux_ea3_to_ea4]
EasyApache 4 converted your EasyApache 3 profile, with warnings.

[2019-03-04 18:02:03 +0100] info [cloudlinux_ea3_to_ea4] Adding the missing package, ea-apache24-mod_suexec, to the EasyApache 4 profile.
[2019-03-04 18:02:03 +0100] info [cloudlinux_ea3_to_ea4] Current profile has the following MPMs: ea-apache24-mod_mpm_prefork
[2019-03-04 18:02:03 +0100] info [cloudlinux_ea3_to_ea4] “Cpanel::Easy::Apache::Access” ignored since it does not have an RPM.
[2019-03-04 18:02:03 +0100] info [cloudlinux_ea3_to_ea4] Something is wrong
[2019-03-04 18:02:03 +0100] info [cloudlinux_ea3_to_ea4] EasyApache 4 was unable to convert your EasyApache 3 profile, with these fatal errors.
[2019-03-04 18:02:03 +0100] info [cloudlinux_ea3_to_ea4] ^[[1;33mIn cPanel & WHM version 76 and earlier, the FCGId module does not handle PHP inheritance correctly. We fixed this issue in cPanel & WHM version 78. For more information, r$
First thing I noticed: I don't know why this log says "Not licensed" beside our server IP address, we indeed have a valid license...
Also, if I try to run rhn_register from a SSH terminal, the first page that is shown says:

Code:
It appears this system has already been set up for software updates:
CloudLinux Network Location: https://xmlrpc.cln.cloudlinux.com/XMLRPC
Login: cpanel-production
System ID: ID-<some ID>

Are you sure you would like to continue?
Indeed, I have always received updates for this system until these updates were blocked by the deprecated EasyApache 3 not yet migrated to EasyApache 4.
Also, if I continue the rhn_register wizard, at a certain point I'm asked for a CloudLinux username and password that I don't know...

Also, it's not clear to me whether the migration failed due to the aforementioned problems or rather for yet another reason.

Thanks for any help.

Mauro
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,245
463
Hello Mauro,

Can you open a support ticket so we can take a closer look at the system? You can post the ticket number here and we'll link this thread to it.

Thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,245
463
Hello,

To update, the root cause of the issue was the lack of a valid CloudLinux license. Addressing the license issue allowed YUM to update properly.

Thank you.
 

mauromol

Member
Dec 12, 2016
9
3
3
Italy
cPanel Access Level
Root Administrator
Hello,
To update, the root cause of the issue was the lack of a valid CloudLinux license. Addressing the license issue allowed YUM to update properly.
Yes, this was causing the "Not licensed" errors. To complete the upgrade I also had to enable your experimental repo for proper FCGId support for EA4, with the command:

yum-config-manager --enable cl-ea4-testing

Thanks for your help!
Mauro
 
  • Like
Reactions: cPanelMichael